Bug 1781083 - `oc login` should prompt messages for how to generate a token with challenge=false for identity provider
Summary: `oc login` should prompt messages for how to generate a token with challenge=...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Venkata Siva Teja Areti
QA Contact: scheng
URL:
Whiteboard:
Depends On: 1671604
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-09 10:10 UTC by Stefan Schimanski
Modified: 2020-01-23 11:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the bootstrap user introduced in OpenShift 4.1 internally made CLI login flow always available Consequence: the message about how to retrieve authentication token, which was there in 3.x OpenShift versions, no longer appeared for users that tried to log in from CLI in cases where only web-browser flows were configured Fix: do not configure bootstrap user IdP when it is disabled by the user Result: after the bootstrap IdP gets disabled by following the steps from the official documentation, the message about how to retrieve login token in web-login-only scenarios gets displayed once again
Clone Of: 1671604
Environment:
Last Closed: 2020-01-23 11:18:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 228 None closed Bug 1781083: redeploy oauth server deployment if bootstrap user is disabled 2020-11-28 00:18:49 UTC
Github openshift oauth-server pull 27 None closed Bug 1781083: Add bootstrap idp only when bootstrap user is enabled 2020-11-28 00:18:49 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:18:41 UTC

Comment 4 errata-xmlrpc 2020-01-23 11:18:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.